.services {

  .start-section {
    padding: 150px 0 300px;
    text-align: center;

    &:after {
      content: "";
      position: absolute;
      height: 80px;
      left: -10%;
      right: -10%;
      border-radius: 50%;
      bottom: -25px;
      background: $dark-gray;
      z-index: 1;
    }
    &::before {
      top: unset;
      bottom: 0px;
      z-index: 2;
      left: 0;
      right: 0;
      margin: auto;
    }

    .start-contents {
      position: relative;
      z-index: 3;
      h1 {
        font-size: 45px;
      }

      p {
        margin-top: 5px;
        font-weight: 300;
        font-size: 22px;

        span {
          color: $pink;
        }
      }

      .btn {
        width: 200px;
        margin: 30px auto 0;
        transition: 0.4s;
        &:hover {
          box-shadow: $pink;
          box-shadow: 0 0 20px 5px rgba($pink, 0.5);
        }
      }
    }
  }

  .servicesCard-section {
    padding: 50px 2% 100px;
    .container {
      max-width: 1024px;
      margin: auto;

      .serviceCard-container {
        @include flex(space-between, center);
        flex-wrap: wrap;
        margin-top: -100px;
        position: relative;
        z-index: 4;

        .serviceCard {
          width: 30%;
          margin: 45px 5px 0;
          display: flex;
          flex-direction: column;
          align-items: center;
          text-align: center;
          padding: 80px 10px;
          background: #eee;
          border-radius: 30px;
          box-shadow: -20px 20px 40px rgba(37, 42, 52, 0.1);

          &:nth-child(3n-1) {
            margin-top: -60px;
          }
          img {
            max-width: 100px;
          }

          .service-title {
            margin: 30px auto 15px;
            font-size: 18px;
            font-style: normal;
          }

          .service-description {
            color: $desc;
            font-size: 12px;
          }
        }
      }
      .services-btn {
        margin-top: 50px;

        a {
          width: 200px;
          margin: 30px auto 0;
          transition: 0.4s;
          &:hover {
            box-shadow: $pink;
            box-shadow: 0 0 20px 5px rgba($pink, 0.5);
          }
        }
      }
    }
  }

  .dream-section {
    padding: 100px 2%;

    &::before {
      top: 0;
      left: 0;
      right: 0;
      text-align: center;
    }

    .container{
      max-width: 1024px;

      .bigDream-box{
        background-color: $dark-gray;
        display: flex;
        flex-direction: column;
        align-items: center;
        padding: 50px 5rem;
        border-radius: 30px;
        box-shadow: -20 20 40 rgba(#252A34, 0.15);
        color: #fff;
        text-align: center;
        width: 80%;
        margin: 0 auto 100px;

        img{
          margin-bottom: 40px;
          max-width: 60px;
        }

        p{
          color: #EAEAEA;
        }
      }

      .solutions-container{
        .solutions-header{
          text-align: center;

          .solutions-header-title {
            font-size: 65px;
            margin-bottom: 30px;
            font-style: normal;
          }

          .solutions-header-text {
            padding: 0;
            width: 95%;
            max-width: 800px;
            margin: 0 auto;
            line-height: 1.3;
          }
        }

        .solutions{
          @include flex(space-around, center);
          margin-top: 60px;
          flex-wrap: wrap;
        }
      }
    }
  }
}


@media only screen and (max-width: 768px) {
  .services {
    .start-section {
      padding: 100px 0 150px;
      text-align: center;

      &::before {
        top: unset;
        bottom: 50px;
      }
  
      .start-contents {
        h1 {
          font-size: 30px;
        }
  
        p {
          font-size: 18px;
        }
      }
    }
  
    .servicesCard-section {
      padding: 50px 2% 60px;
      .container {
  
        .serviceCard-container {
          flex-direction: column;
          margin-top: -130px;
  
          .serviceCard {
            width: 95%;
            margin: 20px 5px 0;
            flex-direction: row;
            align-items: flex-start;
            text-align: left;
            padding: 30px 10px;
  
            &:nth-child(3n-1) {
              margin-top: 20px;
            }

            img {
              max-width: 80px;
              margin-right: 15px;
            }
  
            .service-title {
              margin: 0px auto 15px;
              font-size: 16px;
            }
  
            .service-description {
              color: $desc;
              font-size: 12px;
            }
          }
        }

        .services-btn-text {
          font-size: 14px;
          font-weight: 600;
          width: 85%;
          margin: 70px auto 0;
          max-width: 420px;
          text-align: center;

        }
        .services-btn {
          margin-top: 20px;
        }
      }
    }
  
    .dream-section {
      padding: 50px 2%;
  
      .container{
  
        .bigDream-box{
          padding: 50px 25px;
          width: 95%;
          margin: 0 auto 100px;
  
          img{
            margin-bottom: 20px;
            max-width: 50px;
          }

          p{
            font-size: 12px;
          }
        }
  
        .solutions-container{
          .solutions-header{
            text-align: center;
  
            .solutions-header-title {
              font-size: 34px;
              font-weight: 900;
            }
          }
  
          .solutions{
            margin-top: 20px;
            flex-direction: column;
          }
        }
      }
    }
  }
}